#ifndef XGFXPORTALWRITABLE_H
#define XGFXPORTALWRITABLE_H

#include "xasset.h"

#include <QVector>

class XGfxPortal;

class XGfxPortalWritable : public XAsset
{
public:
    XGfxPortalWritable();
    ~XGfxPortalWritable();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    bool mIsQueued;
    bool mIsAncestor;
    quint8 mRecursionDepth;
    quint8 mHullPointCount;
    QVector<quint32> mHullPointPtrs;
    QVector<float> mHullPoints;
    qint32 mQueuedParentPtr;
    XGfxPortal *mQueuedParent;
};

#endif // XGFXPORTALWRITABLE_H
